Create a pickup request as a partner clinic
__Secure-guidelab-prod.session_token<token>
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/pickup-requests" \ -H "Content-Type: application/json" \ -d '{ "partnershipId": "string", "formRevisionId": "string", "commandId": "string", "requestedWindow": { "start": "string", "end": "string", "timezone": "string" }, "address": { "type": "saved", "locationId": "string" } }'{ "request": { "id": "string", "labId": "string", "clinicId": "string", "partnershipId": "string", "formRevisionId": "string", "status": "string", "formData": { "property1": null, "property2": null }, "requestedWindowStart": "string", "requestedWindowEnd": "string", "requestedTimezone": "string", "scheduledWindowStart": "string", "scheduledWindowEnd": "string", "scheduledTimezone": "string", "addressId": "string", "addressSnapshot": { "label": "string", "contactName": "string", "contactPhone": "string", "addressLine1": "string", "addressLine2": "string", "city": "string", "state": "string", "postcode": "string", "country": "st" }, "requestedByMemberId": "string", "assignedMemberId": "string", "assignedExternalName": "string", "assignedExternalPhone": "string", "assignedExternalEmail": "string", "notes": "string", "internalNotes": "string", "collectedAt": "string", "cancelledAt": "string", "createdAt": "string", "updatedAt": "string" }}{ "request": { "id": "string", "labId": "string", "clinicId": "string", "partnershipId": "string", "formRevisionId": "string", "status": "string", "formData": { "property1": null, "property2": null }, "requestedWindowStart": "string", "requestedWindowEnd": "string", "requestedTimezone": "string", "scheduledWindowStart": "string", "scheduledWindowEnd": "string", "scheduledTimezone": "string", "addressId": "string", "addressSnapshot": { "label": "string", "contactName": "string", "contactPhone": "string", "addressLine1": "string", "addressLine2": "string", "city": "string", "state": "string", "postcode": "string", "country": "st" }, "requestedByMemberId": "string", "assignedMemberId": "string", "assignedExternalName": "string", "assignedExternalPhone": "string", "assignedExternalEmail": "string", "notes": "string", "internalNotes": "string", "collectedAt": "string", "cancelledAt": "string", "createdAt": "string", "updatedAt": "string" }}Empty
Empty
Empty
Empty
Empty
Create a pickup form element POST
Add a new form element to the pickup request form. If no sortOrder is specified, it will be appended at the end. Lab only.
Deactivate a pickup form element DELETE
Soft-delete a form element by setting it to inactive. The element remains in the database but will not appear in active element lists. Lab only.